[oe-commits] Simon Busch : tsmd: add initial recipe

git version control git at git.openembedded.org
Wed Oct 20 08:20:35 UTC 2010


Module: openembedded.git
Branch: org.openembedded.dev
Commit: a21af05fff02740bcb6c08e51d276560b252fa5b
URL:    http://gitweb.openembedded.net/?p=openembedded.git&a=commit;h=a21af05fff02740bcb6c08e51d276560b252fa5b

Author: Simon Busch <morphis at gravedo.de>
Date:   Wed Sep  8 22:09:33 2010 +0200

tsmd: add initial recipe

tsmd is a touchscreen management daemon for the palmpre machine. It has juast one simple
task to do: It open's the touchscreen dev node on /dev/touchscreen, process it's data with
tslib and forward all input events to uinput dev node.

Signed-off-by: Simon Busch <morphis at gravedo.de>

---

 recipes/palmpre/tsmd/tsmd   |   38 ++++++++++++++++++++++++++++++++++++++
 recipes/palmpre/tsmd_git.bb |   30 ++++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+), 0 deletions(-)

diff --git a/recipes/palmpre/tsmd/tsmd b/recipes/palmpre/tsmd/tsmd
new file mode 100755
index 0000000..53d94c8
--- /dev/null
+++ b/recipes/palmpre/tsmd/tsmd
@@ -0,0 +1,38 @@
+#! /bin/sh
+#
+# tsmd -- This shell script starts and stops the tsmd daemon
+#
+# chkconfig: 345 10 10
+# description: a simple utility daemon which forwards all events from a independent device node to a more general uinput one
+# processname: tsmd
+
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+NAME=tsmd
+
+case "$1" in 
+    start)
+        echo -n "Starting tsmd: "
+        start-stop-daemon --start --pidfile /var/run/${NAME}.pid --make-pidfile --background -x /usr/bin/${NAME} -- -n /dev/touchscreen -f
+        if [ $? = 0 ]; then
+            echo "(ok)"
+        else
+            echo "(failed)"
+        fi
+        ;;
+    stop)
+        echo -n "Stopping tsmd: "
+        start-stop-daemon --stop --pidfile /var/run/${NAME}.pid --oknodo
+        rm -f /var/run/${NAME}.pid
+        echo "(done)"
+        ;;
+    restart|force-reload)
+        $0 stop
+        $0 start
+        ;;
+    *)
+        echo "Usage: /etc/init.d/tsmd {start|stop|restart|force-reload}"
+        exit 1
+        ;;
+esac
+
+exit 0
diff --git a/recipes/palmpre/tsmd_git.bb b/recipes/palmpre/tsmd_git.bb
new file mode 100644
index 0000000..839e176
--- /dev/null
+++ b/recipes/palmpre/tsmd_git.bb
@@ -0,0 +1,30 @@
+DESCRIPTION = "Touchscreen management daemon - manages the touchscreen of the palm pre machine"
+HOMEPAGE = "http://www.freesmartphone.org"
+AUTHOR = "Valéry Febvre <vfebvre at easter-eggs.com>
+SECTION = "base"
+LICENSE = "GPL"
+
+DEPENDS = "tslib"
+
+PR = "r0"
+PV = "1.0.0+gitr${SRCPV}"
+
+SRCREV = "798c26a7022decaebdaa829ec30852fdcf08f061"
+SRC_URI = " \
+ ${FREESMARTPHONE_GIT}/utilities.git;protocol=git;branch=master \
+ file://tsmd \
+"
+
+S = "${WORKDIR}/git/palmpre/tsmd"
+
+PACKAGE_ARCH = "${MACHINE_ARCH}"
+
+inherit autotools update-rc.d
+
+INITSCRIPT_NAME = "tsmd"
+INITSCRIPT_PARAMS = "defaults 00"
+
+do_install_append() {
+	install -d 0644 ${D}${sysconfdir}/init.d/
+	install -m 0755 ${WORKDIR}/${INITSCRIPT_NAME} ${D}${sysconfdir}/init.d/
+}





More information about the Openembedded-commits mailing list